
Core - Task # 55160

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54264 (New): As an Enterprise User I want to use Storages outside my webroot or on remote systems in order to structure my Files 
according to my IT-Guidelines

Status: Closed Priority: Should have
Author: Michael Schams Category: File Abstraction Layer (FAL)
Created: 2014-01-20 Assigned To:
Updated: 2014-02-20 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Sprint Focus:
Subject: Exception on first access to FILE -> Filelist
Description

In a fresh, clean TYPO3 CMS 6.2 LTS beta4 instance, when you access "Filelist" in module "FILE", an exception occurs: "File
/Object/ does not exist." (in page tree and in content frame), see attached screenshot.

When you click "Filelist" again, the proper "content" appears in the content frame, exception remains in page tree. You only get this
the first time you access these functions. Not again after that, even after clearing caches (all caches, page content cache and
configuration cache) and deleting all files under typo3temp (recursively).

But the issue is reproducible: install a new TYPO3 CMS 6.2 LTS beta4 instance, go to the backend and do same steps as described
above.

Exception number is: 1314516809 - http://wiki.typo3.org/Exception/CMS/1314516809

Which appears in file typo3/sysext/core/Classes/Resource/Driver/LocalDriver.php twice:

method getFileInfoByIdentifier() - line 238
method getFolderInfoByIdentifier() - line 256

This issue is related to ticket #55117 (same exception).

Related issues:
related to Core - Bug # 55117: Exception on first access to HELP -> About TYP... Closed 2014-01-18

History
#1 - 2014-01-20 11:27 - Michael Schams
- File screenshot0009.png added

screenshot attached.

#2 - 2014-01-20 12:42 - Markus Klein
- Category changed from Backend User Interface to File Abstraction Layer (FAL)

#3 - 2014-01-31 12:56 - Ingo Schmitt
- File Bildschirmfoto_2014-01-31_um_12.55.46.png added
- Priority changed from Should have to Must have
- Target version set to 6.2.0

Can reproduce in fresh install.

#4 - 2014-01-31 12:57 - Ingo Schmitt
- Status changed from New to Accepted

#5 - 2014-01-31 12:59 - Ingo Schmitt

As discussed with Steffen, possible error in 
8 TYPO3\CMS\Core\Resource\Driver\LocalDriver::getFolderInfoByIdentifier(TYPO3\CMS\Core\Resource\Folder)

/server/data/www/apache/core-test/typo3/sysext/core/Classes/Resource/ResourceStorage.php:
02392:     $processingFolder = $this->createFolder($processingFolder);
02393:    }
02394:    $data = $this->driver->getFolderInfoByIdentifier($processingFolder);
02395:    $this->processingFolder = ResourceFactory::getInstance()->createFolderObject($this, $data['identifier'], $data['name']);
02396:   }

There should be a get identified by for processiingFolder

#6 - 2014-01-31 12:59 - Ingo Schmitt
- Parent task set to #54229

#7 - 2014-01-31 13:00 - Ingo Schmitt
- Assigned To set to Steffen Ritter

#8 - 2014-01-31 14:08 - Ingo Schmitt
- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Steffen Ritter)
- Priority changed from Must have to Should have

Can reproduce with current maste

#9 - 2014-01-31 14:09 - Ingo Schmitt

Could you please check, if the problem still exists with the current master of 6.2?

#10 - 2014-02-02 00:05 - Michael Schams

Looks good with current master (last commit: 06bf27df49a2ae3b1de49e64169139ac5c449681).
No problems after a deploying a fresh copy.

#11 - 2014-02-02 10:27 - Ingo Schmitt
- Status changed from Needs Feedback to Closed
Is already fixed in current Master

#12 - 2014-02-18 14:54 - Steffen Ritter
- % Done changed from 0 to 100

#13 - 2014-02-20 17:14 - Steffen Ritter
- Parent task changed from #54229 to #54264
